public class Test6 extends TestHarness {

    public Test6(String s) { super(s); }

    public boolean test() {
    	Map<String, Integer> m = new HashTable<String,Integer>
	    (10, new StringHasher2());

	try {
			m.put("A", 1);
			m.put("B", 2);
			m.put("C", 3);
			boolean test1 = m.remove("A");
			Integer test2 = m.get("B");
			Integer test3 = m.get("C");
			Integer test4 = m.get("A");
			boolean test5 = m.remove("A");
			if(test1!=true || test2!=2 || test3!=3 || test4!=null || test5 != false)
			{
				return false;
			}
		    return true;
		} catch (Exception e){
			//shouldn't throw exception
			return false;
		}
    }
}